import sys
from setuptools import setup, find_packages

authors = [
    ("Clinton Collins", "ccollins@idmod.org"),
    ("Sharon Chen", "shchen@idmod.org"),
]

author_names = ", ".join(author[0] for author in authors)
author_emails = ", ".join(author[1] for author in authors)

# make help for all platform
console_scripts = [
    "help-from-makefile=idm_buildtools.help_from_makefile:main"
]

# Windows
if sys.platform == "win32":
    console_scripts.extend([
        "pymake=idm_buildtools.make:main",
        "idm-make=idm_buildtools.make:main",
        "make = idm_buildtools.make:main",
        "mv=idm_buildtools.utils:move",
        "mmove=idm_buildtools.utils:move",
        "which=idm_buildtools.utils:which",
        "mkdir=idm_buildtools.utils:mkdir",
        "unix-mkdir=idm_buildtools.utils:mkdir",
        "rm=idm_buildtools.utils:rm",
        "rrm=idm_buildtools.utils:rm"
    ])

setup(
    description="idm-buildtools",
    include_package_data=True,
    keywords='idm_buildtools',
    name='idm_buildtools',
    packages=find_packages(),
    python_requires='>=3.7',
    url='https://github.com/InstituteforDiseaseModeling/idm-buildtools',
    version='1.0.5',
    entry_points=dict(console_scripts=console_scripts),
    zip_safe=False
)
